{% macro render_header() %}
{% set section = get_section(path="pages/_index.md") %}
<nav class="navbar" role="navigation" aria-label="main navigation">
    <div class="navbar-brand">
        <a class="navbar-item title-text" href="/" style="color: white; display: flex; gap:0.6em; padding-left: 1em">
            <img src="{{ get_url(path='logo.svg') }}" style="" width="30" height="30">
            <span>La&nbsp;CoPa</span>
        </a>
        <a role="button" class="navbar-burger" aria-label="menu" aria-expanded="false"
           data-target="navbarBasicExample">
            <span aria-hidden="true"></span>
            <span aria-hidden="true"></span>
            <span aria-hidden="true"></span>
        </a>
    </div>
    <div id="navbarBasicExample" class="navbar-menu">
        <div class="navbar-end">
            {% set section = get_section(path="pages/_index.md") %}
            {% for page in section.pages %}
            <a class="navbar-item subtitle-text
{% if current_path == page.path %}current{% endif %}
{% if current_path is containing('projet') and page.path == '/pages/projects/' %}current{% endif %}
"
               href="{{ page.permalink | safe }}">{{ page.title }}</a>
            {% endfor %}
        </div>
    </div>
</nav>

{% endmacro render_header %}


{% macro render_article(title, link, summary, photo, credit) %}
<a style="text-decoration: none; color: white" href="{{ link }}">
    <article class="tile is-child notification copa-tile">
        <div class="content"
             style="text-align: justify; padding: 0;">
            <div style="position:relative">
                <img src="{{photo}}" width="100%">
                <div style="position: absolute;font-size: xx-small;" >
                    <div>{{ credit | safe}}</div>
                </div>
            </div>
            <H3 class="title">{{ title }}</H3>
            <div style="min-height: 5em">{{ summary | safe}}</div>
        </div>
        <div style="text-decoration: underline; text-align: end; width: 100%">En savoir plus...</div>
    </article>
</a>
{% endmacro render_header %}
